
Redmine - Patch #42675

Add trilogy support

2025-05-05 13:37 - Pavel Rosický

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Database Estimated time: 0.00 hour

Target version: 6.1.0   

Description

Support for the Trilogy adapter was added in Rails 7.1.

https://github.com/rails/rails/pull/47880

https://github.com/trilogy-libraries/trilogy

database.yml

production:

  adapter: trilogy

diff --git a/Gemfile b/Gemfile

index 1103c6d69..771c2c3d1 100644

--- a/Gemfile

+++ b/Gemfile

@@ -69,6 +69,9 @@ if File.exist?(database_file)

       when /mysql2/

         gem 'mysql2', '~> 0.5.0'

         gem "with_advisory_lock" 

+      when /trilogy/

+        gem 'trilogy', '~> 2.9.0'

+        gem "with_advisory_lock" 

       when /postgresql/

         gem 'pg', '~> 1.5.3'

       when /sqlite3/

diff --git a/lib/redmine/database.rb b/lib/redmine/database.rb

index b3cbdc661..13c92b8a4 100644

--- a/lib/redmine/database.rb

+++ b/lib/redmine/database.rb

@@ -58,7 +58,7 @@ module Redmine

       # Returns true if the database is MySQL

       def mysql?

-        /mysql/i.match?(ActiveRecord::Base.connection.adapter_name)

+        /mysql|trilogy/i.match?(ActiveRecord::Base.connection.adapter_name)

       end

       def mysql_version

History

#1 - 2025-05-06 04:09 - Go MAEDA

- Target version set to Candidate for next major release

#2 - 2025-05-07 12:06 - Go MAEDA

- File mention-trilogy-in-example-config.patch added

Thank you for the patch to add support for the Trilogy adapter.

I've also attached an additional patch to update config/database.yml.example so that Redmine users can see that trilogy is available as an alternative

to mysql2.
#3 - 2025-05-08 01:32 - Go MAEDA

- Category set to Database

- Target version changed from Candidate for next major release to 6.1.0

Setting the target version to 6.1.0.

Files

mention-trilogy-in-example-config.patch 740 Bytes 2025-05-07 Go MAEDA
